package net.northking.cctp.executePlan.feign.dto;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.Size;
import java.util.Date;

public class AtuScriptInfo {
    /**
     * 脚本ID<br>
     */
    @ApiModelProperty("脚本ID")
    @Size(max = 32, message="脚本ID-id: 数据长度不能 > 32" )
    private String id;
    /**
     * 脚本目录ID<br>
     */
    @ApiModelProperty("脚本目录ID")
    @Size(max = 32, message="脚本目录ID-groupId: 数据长度不能 > 32" )
    private String groupId;
    /**
     * 脚本名称<br>
     */
    @ApiModelProperty("脚本名称")
    @Size(max = 90, message="脚本名称-scriptName: 数据长度不能 > 90" )
    private String scriptName;
    /**
     * 脚本编号<br>
     */
    @ApiModelProperty("脚本编号")
    private String scriptCode;
    /**
     * 脚本类型<br>
     */
    @ApiModelProperty("脚本类型")
    @Size(max = 32, message="脚本类型-scriptType: 数据长度不能 > 32" )
    private String scriptType;
    /**
     * 最新版本ID<br>
     */
    @ApiModelProperty("最新版本ID")
    private Integer latestVersionId;
    /**
     * 脚本地址<br>
     */
    @ApiModelProperty("脚本地址")
    @Size(max = 255, message="脚本地址-scriptUrl: 数据长度不能 > 255" )
    private String scriptUrl;
    /**
     * 脚本快照数据地址<br>
     */
    @ApiModelProperty("脚本快照数据地址")
    @Size(max = 255, message="脚本快照数据地址-dataUrl: 数据长度不能 > 255" )
    private String dataUrl;
    /**
     * 是否删除<br>
     */
    @ApiModelProperty("是否删除")
    @Size(max = 1, message="是否删除-isDeleted: 数据长度不能 > 1" )
    private String isDeleted;
    /**
     * 系统ID<br>
     */
    @ApiModelProperty("系统ID")
    @Size(max = 32, message="系统ID-projectId: 数据长度不能 > 32" )
    private String projectId;
    /**
     * 租户号<br>
     */
    @ApiModelProperty("租户号")
    @Size(max = 32, message="租户号-tenantId: 数据长度不能 > 32" )
    private String tenantId;
    /**
     * 创建人<br>
     */
    @ApiModelProperty("创建人")
    @Size(max = 32, message="创建人-createdBy: 数据长度不能 > 32" )
    private String createdBy;
    /**
     * 创建时间<br>
     */
    @ApiModelProperty("创建时间")
    private Date createdTime;
    /**
     * 更新人<br>
     */
    @ApiModelProperty("更新人")
    @Size(max = 32, message="更新人-updatedBy: 数据长度不能 > 32" )
    private String updatedBy;
    /**
     * 更新时间<br>
     */
    @ApiModelProperty("更新时间")
    private Date updatedTime;
    /**
     * 应用ID<br>
     */
    @ApiModelProperty("应用ID")
    @Size(max = 32, message="应用ID-appId: 数据长度不能 > 32" )
    private String appId;
    /**
     * 应用包名<br>
     */
    @ApiModelProperty("应用包名")
    private String appPackage;
    /**
     * 应用平台<br>
     */
    @ApiModelProperty("应用平台")
    private String platform;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getGroupId() {
        return groupId;
    }

    public void setGroupId(String groupId) {
        this.groupId = groupId;
    }

    public String getScriptName() {
        return scriptName;
    }

    public void setScriptName(String scriptName) {
        this.scriptName = scriptName;
    }

    public String getScriptCode() {
        return scriptCode;
    }

    public void setScriptCode(String scriptCode) {
        this.scriptCode = scriptCode;
    }

    public String getScriptType() {
        return scriptType;
    }

    public void setScriptType(String scriptType) {
        this.scriptType = scriptType;
    }

    public Integer getLatestVersionId() {
        return latestVersionId;
    }

    public void setLatestVersionId(Integer latestVersionId) {
        this.latestVersionId = latestVersionId;
    }

    public String getScriptUrl() {
        return scriptUrl;
    }

    public void setScriptUrl(String scriptUrl) {
        this.scriptUrl = scriptUrl;
    }

    public String getDataUrl() {
        return dataUrl;
    }

    public void setDataUrl(String dataUrl) {
        this.dataUrl = dataUrl;
    }

    public String getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(String isDeleted) {
        this.isDeleted = isDeleted;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    public Date getCreatedTime() {
        return createdTime;
    }

    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }

    public String getUpdatedBy() {
        return updatedBy;
    }

    public void setUpdatedBy(String updatedBy) {
        this.updatedBy = updatedBy;
    }

    public Date getUpdatedTime() {
        return updatedTime;
    }

    public void setUpdatedTime(Date updatedTime) {
        this.updatedTime = updatedTime;
    }

    public String getAppId() {
        return appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public String getAppPackage() {
        return appPackage;
    }

    public void setAppPackage(String appPackage) {
        this.appPackage = appPackage;
    }

    public String getPlatform() {
        return platform;
    }

    public void setPlatform(String platform) {
        this.platform = platform;
    }
}
